<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="wiced__bt__avdt_8h" kind="file" language="C++">
    <compoundname>wiced_bt_avdt.h</compoundname>
    <includes local="yes" refid="wiced__result_8h">wiced_result.h</includes>
    <includes local="yes" refid="wiced__bt__types_8h">wiced_bt_types.h</includes>
    <briefdescription>
<para>Bluetooth Audio Video Distribution Transport Protocol (AVDTP) Application Programming Interface. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="11"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="12"><highlight class="normal" /></codeline>
<codeline lineno="13"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"wiced_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="14"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"wiced_bt_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="15"><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="27"><highlight class="comment">**<sp /><sp />Constants</highlight></codeline>
<codeline lineno="28"><highlight class="comment">*****************************************************************************/</highlight></codeline>
<codeline lineno="35"><highlight class="preprocessor">#define<sp />AVDT_VERSION_1_0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0100<sp /></highlight></codeline>
<codeline lineno="36"><highlight class="preprocessor">#define<sp />AVDT_VERSION_1_2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0102<sp /></highlight></codeline>
<codeline lineno="37"><highlight class="preprocessor">#define<sp />AVDT_VERSION_1_3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0103<sp /></highlight></codeline>
<codeline lineno="46"><highlight class="preprocessor">#ifndef<sp />AVDT_VERSION</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#define<sp />AVDT_VERSION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />AVDT_VERSION_1_3<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="48"><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="preprocessor">#define<sp />AVDT_VERSION_DELAYREPORT<sp /><sp /><sp /><sp />AVDT_VERSION_1_3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="53"><highlight class="preprocessor">#define<sp />AVDT_VERSION_CP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />AVDT_VERSION_1_2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="61"><highlight class="preprocessor">#define<sp />AVDT_SUCCESS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="62"><highlight class="preprocessor">#define<sp />AVDT_BAD_PARAMS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="63"><highlight class="preprocessor">#define<sp />AVDT_NO_RESOURCES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />2<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="64"><highlight class="preprocessor">#define<sp />AVDT_BAD_HANDLE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />3<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="65"><highlight class="preprocessor">#define<sp />AVDT_BUSY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />4<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="66"><highlight class="preprocessor">#define<sp />AVDT_WRITE_FAIL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />5<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="70"><highlight class="preprocessor">#define<sp />AVDT_CODEC_TYPE_INDEX<sp /><sp /><sp /><sp /><sp /><sp /><sp />2<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="73"><highlight class="preprocessor">#define<sp />AVDT_AL_HDR_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />3<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="76"><highlight class="preprocessor">#define<sp />AVDT_MEDIA_HDR_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />12<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="79"><highlight class="preprocessor">#define<sp />AVDT_MEDIA_CP_HDR_SIZE<sp /><sp /><sp /><sp /><sp /><sp />1<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="84"><highlight class="preprocessor">#define<sp />AVDT_MAX_MEDIA_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0xFFFF<sp />-<sp />AVDT_MEDIA_HDR_SIZE)<sp /><sp /></highlight></codeline>
<codeline lineno="87"><highlight class="preprocessor">#define<sp />AVDT_MULTI_AV_HANDLE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xFF<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="93"><highlight class="preprocessor">#define<sp />AVDT_MEDIA_OFFSET<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />23<sp /><sp /></highlight></codeline>
<codeline lineno="100"><highlight class="preprocessor">#define<sp />AVDT_MARKER_SET<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x80<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="108"><highlight class="preprocessor">#define<sp />AVDT_TSEP_SRC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="109"><highlight class="preprocessor">#define<sp />AVDT_TSEP_SNK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="113"><highlight class="preprocessor">#define<sp />AVDT_INT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="114"><highlight class="preprocessor">#define<sp />AVDT_ACP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="123"><highlight class="preprocessor">#define<sp />AVDT_MEDIA_AUDIO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="124"><highlight class="preprocessor">#define<sp />AVDT_MEDIA_VIDEO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="125"><highlight class="preprocessor">#define<sp />AVDT_MEDIA_MULTI<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />2<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="134"><highlight class="preprocessor">#define<sp />AVDT_RTCP_PT_SR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />200<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="135"><highlight class="preprocessor">#define<sp />AVDT_RTCP_PT_RR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />201<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="136"><highlight class="preprocessor">#define<sp />AVDT_RTCP_PT_SDES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />202<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="137"><highlight class="preprocessor">typedef<sp />uint8_t<sp />AVDT_REPORT_TYPE;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="141"><highlight class="preprocessor">#define<sp />AVDT_RTCP_SDES_CNAME<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="142"><highlight class="preprocessor">#ifndef<sp />AVDT_MAX_CNAME_SIZE</highlight><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal" /><highlight class="preprocessor">#define<sp />AVDT_MAX_CNAME_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />28<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="144"><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="preprocessor">#define<sp />AVDT_PSC_TRANS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1&lt;&lt;1)<sp /><sp /></highlight></codeline>
<codeline lineno="155"><highlight class="preprocessor">#define<sp />AVDT_PSC_REPORT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1&lt;&lt;2)<sp /><sp /></highlight></codeline>
<codeline lineno="156"><highlight class="preprocessor">#define<sp />AVDT_PSC_RECOV<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1&lt;&lt;3)<sp /><sp /></highlight></codeline>
<codeline lineno="157"><highlight class="preprocessor">#define<sp />AVDT_PSC_CP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1&lt;&lt;4)<sp /><sp /></highlight></codeline>
<codeline lineno="158"><highlight class="preprocessor">#define<sp />AVDT_PSC_HDRCMP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1&lt;&lt;5)<sp /><sp /></highlight></codeline>
<codeline lineno="159"><highlight class="preprocessor">#define<sp />AVDT_PSC_MUX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1&lt;&lt;6)<sp /><sp /></highlight></codeline>
<codeline lineno="160"><highlight class="preprocessor">#define<sp />AVDT_PSC_CODEC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1&lt;&lt;7)<sp /><sp /></highlight></codeline>
<codeline lineno="161"><highlight class="preprocessor">#define<sp />AVDT_PSC_DELAY_RPT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1&lt;&lt;8)<sp /><sp /></highlight></codeline>
<codeline lineno="171"><highlight class="preprocessor">#define<sp />AVDT_RECOV_RFC2733<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="181"><highlight class="preprocessor">#define<sp />AVDT_HDRCMP_MEDIA<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1&lt;&lt;5)<sp /><sp /></highlight></codeline>
<codeline lineno="182"><highlight class="preprocessor">#define<sp />AVDT_HDRCMP_RECOV<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1&lt;&lt;6)<sp /><sp /></highlight></codeline>
<codeline lineno="183"><highlight class="preprocessor">#define<sp />AVDT_HDRCMP_BACKCH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1&lt;&lt;7)<sp /><sp /></highlight></codeline>
<codeline lineno="193"><highlight class="preprocessor">#define<sp />AVDT_MUX_FRAG<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1&lt;&lt;7)<sp /><sp /></highlight></codeline>
<codeline lineno="205"><highlight class="preprocessor">#define<sp />AVDT_ASC_PROTECT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />4<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="206"><highlight class="preprocessor">#define<sp />AVDT_ASC_CODEC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />7<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="216"><highlight class="preprocessor">#define<sp />AVDT_CP_TYPE_NONE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="217"><highlight class="preprocessor">#define<sp />AVDT_CP_TYPE_DTCP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0001<sp /><sp /></highlight></codeline>
<codeline lineno="218"><highlight class="preprocessor">#define<sp />AVDT_CP_TYPE_SCMST<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0002<sp /><sp /></highlight></codeline>
<codeline lineno="235"><highlight class="preprocessor">#define<sp />AVDT_ERR_HEADER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="236"><highlight class="preprocessor">#define<sp />AVDT_ERR_LENGTH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x11<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="237"><highlight class="preprocessor">#define<sp />AVDT_ERR_SEID<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x12<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="238"><highlight class="preprocessor">#define<sp />AVDT_ERR_IN_USE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x13<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="239"><highlight class="preprocessor">#define<sp />AVDT_ERR_NOT_IN_USE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x14<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="240"><highlight class="preprocessor">#define<sp />AVDT_ERR_CATEGORY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x17<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="241"><highlight class="preprocessor">#define<sp />AVDT_ERR_PAYLOAD<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x18<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="242"><highlight class="preprocessor">#define<sp />AVDT_ERR_NSC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x19<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="243"><highlight class="preprocessor">#define<sp />AVDT_ERR_INVALID_CAP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x1A<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="244"><highlight class="preprocessor">#define<sp />AVDT_ERR_RECOV_TYPE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x22<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="245"><highlight class="preprocessor">#define<sp />AVDT_ERR_MEDIA_TRANS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x23<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="246"><highlight class="preprocessor">#define<sp />AVDT_ERR_RECOV_FMT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x25<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="247"><highlight class="preprocessor">#define<sp />AVDT_ERR_ROHC_FMT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x26<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="248"><highlight class="preprocessor">#define<sp />AVDT_ERR_CP_FMT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x27<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="249"><highlight class="preprocessor">#define<sp />AVDT_ERR_MUX_FMT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x28<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="250"><highlight class="preprocessor">#define<sp />AVDT_ERR_UNSUP_CFG<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x29<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="251"><highlight class="preprocessor">#define<sp />AVDT_ERR_BAD_STATE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x31<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="252"><highlight class="preprocessor">#define<sp />AVDT_ERR_REPORT_FMT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x65<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="253"><highlight class="preprocessor">#define<sp />AVDT_ERR_SERVICE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x80<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="254"><highlight class="preprocessor">#define<sp />AVDT_ERR_RESOURCE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x81<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="255"><highlight class="preprocessor">#define<sp />AVDT_ERR_INVALID_MCT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xC1<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="256"><highlight class="preprocessor">#define<sp />AVDT_ERR_UNSUP_MCT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xC2<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="257"><highlight class="preprocessor">#define<sp />AVDT_ERR_INVALID_LEVEL<sp /><sp /><sp /><sp /><sp /><sp />0xC3<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="258"><highlight class="preprocessor">#define<sp />AVDT_ERR_UNSUP_LEVEL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xC4<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="259"><highlight class="preprocessor">#define<sp />AVDT_ERR_INVALID_CP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xE0<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="260"><highlight class="preprocessor">#define<sp />AVDT_ERR_INVALID_FORMAT<sp /><sp /><sp /><sp /><sp />0xE1<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="262"><highlight class="preprocessor" /><highlight class="comment">/*<sp />Additional<sp />error<sp />codes.<sp /><sp />This<sp />indicates<sp />error<sp />codes<sp />used<sp />by<sp />AVDTP</highlight></codeline>
<codeline lineno="263"><highlight class="comment">**<sp />in<sp />addition<sp />to<sp />the<sp />ones<sp />defined<sp />in<sp />the<sp />specifications.</highlight></codeline>
<codeline lineno="264"><highlight class="comment">*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="265"><highlight class="normal" /><highlight class="preprocessor">#define<sp />AVDT_ERR_CONNECT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x07<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="266"><highlight class="preprocessor">#define<sp />AVDT_ERR_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x08<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="274"><highlight class="preprocessor">#define<sp />AVDT_DISCOVER_CFM_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp />0<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="275"><highlight class="preprocessor">#define<sp />AVDT_GETCAP_CFM_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="276"><highlight class="preprocessor">#define<sp />AVDT_OPEN_CFM_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />2<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="277"><highlight class="preprocessor">#define<sp />AVDT_OPEN_IND_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />3<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="278"><highlight class="preprocessor">#define<sp />AVDT_CONFIG_IND_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />4<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="279"><highlight class="preprocessor">#define<sp />AVDT_START_CFM_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />5<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="280"><highlight class="preprocessor">#define<sp />AVDT_START_IND_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />6<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="281"><highlight class="preprocessor">#define<sp />AVDT_SUSPEND_CFM_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />7<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="282"><highlight class="preprocessor">#define<sp />AVDT_SUSPEND_IND_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />8<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="283"><highlight class="preprocessor">#define<sp />AVDT_CLOSE_CFM_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />9<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="284"><highlight class="preprocessor">#define<sp />AVDT_CLOSE_IND_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="285"><highlight class="preprocessor">#define<sp />AVDT_RECONFIG_CFM_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp />11<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="286"><highlight class="preprocessor">#define<sp />AVDT_RECONFIG_IND_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp />12<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="287"><highlight class="preprocessor">#define<sp />AVDT_SECURITY_CFM_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp />13<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="288"><highlight class="preprocessor">#define<sp />AVDT_SECURITY_IND_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp />14<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="289"><highlight class="preprocessor">#define<sp />AVDT_WRITE_CFM_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />15<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="290"><highlight class="preprocessor">#define<sp />AVDT_CONNECT_IND_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />16<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="291"><highlight class="preprocessor">#define<sp />AVDT_DISCONNECT_IND_EVT<sp /><sp /><sp /><sp /><sp />17<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="292"><highlight class="preprocessor">#define<sp />AVDT_REPORT_CONN_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />18<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="293"><highlight class="preprocessor">#define<sp />AVDT_REPORT_DISCONN_EVT<sp /><sp /><sp /><sp /><sp />19<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="294"><highlight class="preprocessor">#define<sp />AVDT_DELAY_REPORT_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp />20<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="295"><highlight class="preprocessor">#define<sp />AVDT_DELAY_REPORT_CFM_EVT<sp /><sp /><sp />21<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="298"><highlight class="preprocessor">#define<sp />AVDT_MAX_EVT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(AVDT_DELAY_REPORT_CFM_EVT)<sp /></highlight></codeline>
<codeline lineno="301"><highlight class="preprocessor">#define<sp />AVDT_PSM<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0019<sp /><sp /></highlight></codeline>
<codeline lineno="304"><highlight class="preprocessor">#define<sp />AVDT_CODEC_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />14<sp /><sp /></highlight></codeline>
<codeline lineno="306"><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="307"><highlight class="normal" /><highlight class="preprocessor">#define<sp />AVDT_PROTECT_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />90<sp /><sp /></highlight></codeline>
<codeline lineno="316"><highlight class="preprocessor">#define<sp />AVDT_NSC_SUSPEND<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="317"><highlight class="preprocessor">#define<sp />AVDT_NSC_RECONFIG<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x02<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="318"><highlight class="preprocessor">#define<sp />AVDT_NSC_SECURITY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x04<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="321"><highlight class="preprocessor" /><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="322"><highlight class="comment">**<sp /><sp />Type<sp />Definitions</highlight></codeline>
<codeline lineno="323"><highlight class="comment">*****************************************************************************/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="324"><highlight class="normal" /></codeline>
<codeline lineno="326"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="327"><highlight class="normal">{</highlight></codeline>
<codeline lineno="328"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp />ntp_sec;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="329"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp />ntp_frac;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="330"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp />rtp_time;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="331"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp />pkt_count;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="332"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp />octet_count;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="333"><highlight class="normal">}<sp />wiced_bt_avdt_sender_info_t;</highlight></codeline>
<codeline lineno="334"><highlight class="normal" /></codeline>
<codeline lineno="336"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="337"><highlight class="normal">{</highlight></codeline>
<codeline lineno="338"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp />frag_lost;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="339"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp />packet_lost;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="340"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp />seq_num_rcvd;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="341"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp />jitter;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="342"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp />lsr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="343"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp />dlsr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="344"><highlight class="normal">}<sp />wiced_bt_avdt_report_blk_t;</highlight></codeline>
<codeline lineno="345"><highlight class="normal" /></codeline>
<codeline lineno="347"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">union</highlight><highlight class="normal" /></codeline>
<codeline lineno="348"><highlight class="normal">{</highlight></codeline>
<codeline lineno="349"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_sender_info_t<sp /><sp /><sp /><sp /><sp />sr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="350"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_report_blk_t<sp /><sp /><sp /><sp /><sp /><sp />rr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="351"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cname[AVDT_MAX_CNAME_SIZE<sp />+<sp />1];<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="352"><highlight class="normal">}<sp />wiced_bt_avdt_report_data_t;</highlight></codeline>
<codeline lineno="353"><highlight class="normal" /></codeline>
<codeline lineno="355"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="356"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ctrl_mtu;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="357"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ret_tout;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="358"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />sig_tout;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="359"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />idle_tout;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="360"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />sec_mask;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="361"><highlight class="normal">}<sp />wiced_bt_avdt_reg_t;</highlight></codeline>
<codeline lineno="362"><highlight class="normal" /></codeline>
<codeline lineno="364"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="365"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp /><sp /><sp /><sp />in_use;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="366"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />seid;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="367"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />media_type;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="368"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tsep;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="369"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />psc_mask;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="370"><highlight class="normal">}<sp />wiced_bt_avdt_sep_info_t;</highlight></codeline>
<codeline lineno="371"><highlight class="normal" /></codeline>
<codeline lineno="373"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="374"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />codec_info[AVDT_CODEC_SIZE];<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="376"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />protect_info[AVDT_PROTECT_SIZE];<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="377"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />num_codec;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="378"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />num_protect;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="379"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp />psc_mask;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="380"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />recov_type;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="381"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />recov_mrws;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="382"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />recov_mnmp;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="383"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />hdrcmp_mask;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="384"><highlight class="normal">}<sp />wiced_bt_avdt_cfg_t;</highlight></codeline>
<codeline lineno="385"><highlight class="normal" /></codeline>
<codeline lineno="387"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="388"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />err_code;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="389"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />err_param;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="390"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />label;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="391"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />seid;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="392"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />sig_id;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="393"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />ccb_idx;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="394"><highlight class="normal">}<sp />wiced_bt_avdt_evt_hdr_t;</highlight></codeline>
<codeline lineno="395"><highlight class="normal" /></codeline>
<codeline lineno="397"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="398"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp />hdr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="399"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_cfg_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*p_cfg;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="400"><highlight class="normal">}<sp />wiced_bt_avdt_config_t;</highlight></codeline>
<codeline lineno="401"><highlight class="normal" /></codeline>
<codeline lineno="403"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="404"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp />hdr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="405"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_cfg_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*p_cfg;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="406"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />int_seid;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="407"><highlight class="normal">}<sp />wiced_bt_avdt_setconfig_t;</highlight></codeline>
<codeline lineno="408"><highlight class="normal" /></codeline>
<codeline lineno="410"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="411"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp />hdr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="412"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />peer_mtu;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="413"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />lcid;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="414"><highlight class="normal">}<sp />wiced_bt_avdt_open_t;</highlight></codeline>
<codeline lineno="415"><highlight class="normal" /></codeline>
<codeline lineno="417"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="418"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp />hdr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="419"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*p_data;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="420"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />len;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="421"><highlight class="normal">}<sp />wiced_bt_avdt_security_t;</highlight></codeline>
<codeline lineno="422"><highlight class="normal" /></codeline>
<codeline lineno="424"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="425"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp />hdr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="426"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_sep_info_t<sp /><sp /><sp /><sp />*p_sep_info;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="427"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />num_seps;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="428"><highlight class="normal">}<sp />wiced_bt_avdt_discover_t;</highlight></codeline>
<codeline lineno="429"><highlight class="normal" /></codeline>
<codeline lineno="431"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="432"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp />hdr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="433"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />delay;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="434"><highlight class="normal">}<sp />wiced_bt_avdt_delay_rpt_t;</highlight></codeline>
<codeline lineno="435"><highlight class="normal" /></codeline>
<codeline lineno="437"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="438"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp />hdr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="439"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*p_app_buf;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="440"><highlight class="normal">}<sp />wiced_bt_avdt_write_cfm_t;</highlight></codeline>
<codeline lineno="441"><highlight class="normal" /></codeline>
<codeline lineno="442"><highlight class="normal" /></codeline>
<codeline lineno="444"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">union<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="445"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />hdr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="446"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_discover_t<sp /><sp /><sp /><sp /><sp /><sp />discover_cfm;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="447"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_config_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />getcap_cfm;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="448"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_open_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />open_cfm;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="449"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_open_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />open_ind;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="450"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_setconfig_t<sp /><sp /><sp /><sp /><sp />config_ind;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="451"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />start_cfm;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="452"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />start_ind;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="453"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />suspend_cfm;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="454"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />close_cfm;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="455"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_config_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />reconfig_cfm;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="456"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_config_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />reconfig_ind;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="457"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_security_t<sp /><sp /><sp /><sp /><sp /><sp />security_cfm;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="458"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_security_t<sp /><sp /><sp /><sp /><sp /><sp />security_ind;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="459"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />connect_ind;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="460"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />disconnect_ind;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="461"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_evt_hdr_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />report_conn;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="462"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_delay_rpt_t<sp /><sp /><sp /><sp /><sp />delay_rpt_cmd;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="463"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_write_cfm_t<sp /><sp /><sp /><sp /><sp />write_cfm;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="464"><highlight class="normal">}<sp />wiced_bt_avdt_ctrl_t;</highlight></codeline>
<codeline lineno="465"><highlight class="normal" /></codeline>
<codeline lineno="479"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(wiced_bt_avdt_ctrl_cback_t)(uint8_t<sp />handle,<sp /><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr,<sp />uint8_t<sp />event,</highlight></codeline>
<codeline lineno="480"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />wiced_bt_avdt_ctrl_t<sp />*p_data);</highlight></codeline>
<codeline lineno="481"><highlight class="normal" /></codeline>
<codeline lineno="498"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(wiced_bt_avdt_data_cback_t)(uint8_t<sp />handle,<sp />uint16_t<sp />seq,<sp />uint32_t<sp />time_stamp,<sp />uint8_t<sp />m_pt,</highlight></codeline>
<codeline lineno="499"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*p_rx_media,<sp />uint16_t<sp />media_len);</highlight></codeline>
<codeline lineno="500"><highlight class="normal" /></codeline>
<codeline lineno="514"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />uint16_t<sp />(wiced_bt_avdt_getcap_req_t)<sp />(<ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr,<sp />uint8_t<sp />seid,<sp />wiced_bt_avdt_cfg_t<sp />*p_cfg,<sp />wiced_bt_avdt_ctrl_cback_t<sp />*p_cback);</highlight></codeline>
<codeline lineno="515"><highlight class="normal" /></codeline>
<codeline lineno="519"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="520"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_cfg_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cfg;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="521"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_ctrl_cback_t<sp /><sp /><sp /><sp /><sp /><sp />*p_avdt_ctrl_cback;<sp /><sp /></highlight></codeline>
<codeline lineno="522"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_avdt_data_cback_t<sp /><sp /><sp /><sp /><sp /><sp />*p_avdt_data_cback;<sp /><sp /></highlight></codeline>
<codeline lineno="523"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tsep;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="524"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />media_type;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="525"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />nsc_mask;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="526"><highlight class="normal">}<sp />wiced_bt_avdt_cs_t;</highlight></codeline>
<codeline lineno="527"><highlight class="normal" /></codeline>
<codeline lineno="534"><highlight class="preprocessor">#define<sp />AVDT_DATA_OPT_NONE<sp /><sp /><sp /><sp /><sp /><sp />0x00<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="535"><highlight class="preprocessor">#define<sp />AVDT_DATA_OPT_NO_RTP<sp /><sp /><sp /><sp />(0x01<sp />&lt;&lt;<sp />0)<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="538"><highlight class="preprocessor">typedef<sp />uint8_t<sp />wiced_bt_avdt_data_opt_mask_t;<sp /><sp /></highlight></codeline>
<codeline lineno="542"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="543"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="544"><highlight class="normal">{</highlight></codeline>
<codeline lineno="545"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="546"><highlight class="normal" /></codeline>
<codeline lineno="559"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_register(wiced_bt_avdt_reg_t<sp />*p_reg,<sp />wiced_bt_avdt_ctrl_cback_t<sp />*p_cback);</highlight></codeline>
<codeline lineno="560"><highlight class="normal" /></codeline>
<codeline lineno="568"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />wiced_bt_avdt_deregister(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="569"><highlight class="normal" /></codeline>
<codeline lineno="584"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_create_stream(uint8_t<sp />*p_handle,<sp />wiced_bt_avdt_cs_t<sp />*p_cs);</highlight></codeline>
<codeline lineno="585"><highlight class="normal" /></codeline>
<codeline lineno="600"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_remove_stream(uint8_t<sp />handle);</highlight></codeline>
<codeline lineno="601"><highlight class="normal" /></codeline>
<codeline lineno="615"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_update_stream(uint8_t<sp />sep_type,<sp /><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp />available);</highlight></codeline>
<codeline lineno="616"><highlight class="normal" /></codeline>
<codeline lineno="617"><highlight class="normal" /></codeline>
<codeline lineno="649"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_discover_req(<ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr,<sp />wiced_bt_avdt_sep_info_t<sp />*p_sep_info,</highlight></codeline>
<codeline lineno="650"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />max_seps,<sp />wiced_bt_avdt_ctrl_cback_t<sp />*p_cback);</highlight></codeline>
<codeline lineno="651"><highlight class="normal" /></codeline>
<codeline lineno="652"><highlight class="normal" /></codeline>
<codeline lineno="681"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_get_cap_req(<ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr,<sp />uint8_t<sp />seid,<sp />wiced_bt_avdt_cfg_t<sp />*p_cfg,</highlight></codeline>
<codeline lineno="682"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />wiced_bt_avdt_ctrl_cback_t<sp />*p_cback);</highlight></codeline>
<codeline lineno="683"><highlight class="normal" /></codeline>
<codeline lineno="712"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_get_all_cap_req(<ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr,<sp />uint8_t<sp />seid,<sp />wiced_bt_avdt_cfg_t<sp />*p_cfg,</highlight></codeline>
<codeline lineno="713"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />wiced_bt_avdt_ctrl_cback_t<sp />*p_cback);</highlight></codeline>
<codeline lineno="714"><highlight class="normal" /></codeline>
<codeline lineno="728"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_delay_report(uint8_t<sp />handle,<sp />uint8_t<sp />seid,<sp />uint16_t<sp />delay);</highlight></codeline>
<codeline lineno="729"><highlight class="normal" /></codeline>
<codeline lineno="747"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_open_req(uint8_t<sp />handle,<sp /><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr,<sp />uint8_t<sp />seid,</highlight></codeline>
<codeline lineno="748"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />wiced_bt_avdt_cfg_t<sp />*p_cfg);</highlight></codeline>
<codeline lineno="749"><highlight class="normal" /></codeline>
<codeline lineno="750"><highlight class="normal" /></codeline>
<codeline lineno="766"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_config_rsp(uint8_t<sp />handle,<sp />uint8_t<sp />label,<sp />uint8_t<sp />error_code,</highlight></codeline>
<codeline lineno="767"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />category);</highlight></codeline>
<codeline lineno="768"><highlight class="normal" /></codeline>
<codeline lineno="781"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_security_set_scms(uint8_t<sp />handle,<sp /><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp />enable,</highlight></codeline>
<codeline lineno="782"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />scms_hdr);</highlight></codeline>
<codeline lineno="783"><highlight class="normal" /></codeline>
<codeline lineno="800"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_start_req(uint8_t<sp />*p_handles,<sp />uint8_t<sp />num_handles);</highlight></codeline>
<codeline lineno="801"><highlight class="normal" /></codeline>
<codeline lineno="817"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_start_resp(<sp />uint8_t<sp />handle,<sp />uint8_t<sp />label,<sp />uint8_t<sp />status<sp />);</highlight></codeline>
<codeline lineno="818"><highlight class="normal" /></codeline>
<codeline lineno="836"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_suspend_req(uint8_t<sp />*p_handles,<sp />uint8_t<sp />num_handles);</highlight></codeline>
<codeline lineno="837"><highlight class="normal" /></codeline>
<codeline lineno="852"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_close_req(uint8_t<sp />handle);</highlight></codeline>
<codeline lineno="853"><highlight class="normal" /></codeline>
<codeline lineno="871"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_reconfig_req(uint8_t<sp />handle,<sp />wiced_bt_avdt_cfg_t<sp />*p_cfg);</highlight></codeline>
<codeline lineno="872"><highlight class="normal" /></codeline>
<codeline lineno="888"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_reconfig_rsp(uint8_t<sp />handle,<sp />uint8_t<sp />label,<sp />uint8_t<sp />error_code,</highlight></codeline>
<codeline lineno="889"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />category);</highlight></codeline>
<codeline lineno="890"><highlight class="normal" /></codeline>
<codeline lineno="907"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_security_req(uint8_t<sp />handle,<sp />uint8_t<sp />*p_data,<sp />uint16_t<sp />len);</highlight></codeline>
<codeline lineno="908"><highlight class="normal" /></codeline>
<codeline lineno="927"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_security_rsp(uint8_t<sp />handle,<sp />uint8_t<sp />label,<sp />uint8_t<sp />error_code,</highlight></codeline>
<codeline lineno="928"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*p_data,<sp />uint16_t<sp />len);</highlight></codeline>
<codeline lineno="929"><highlight class="normal" /></codeline>
<codeline lineno="930"><highlight class="normal" /></codeline>
<codeline lineno="958"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_write_req(uint8_t<sp />handle,<sp />uint8_t<sp />*p_media_buf,<sp />uint16_t<sp />buf_len,</highlight></codeline>
<codeline lineno="959"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />time_stamp,<sp />uint8_t<sp />m_pt,<sp />wiced_bt_avdt_data_opt_mask_t<sp />opt);</highlight></codeline>
<codeline lineno="960"><highlight class="normal" /></codeline>
<codeline lineno="979"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_connect_req(<ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr,<sp />uint8_t<sp />sec_mask,</highlight></codeline>
<codeline lineno="980"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />wiced_bt_avdt_ctrl_cback_t<sp />*p_cback);</highlight></codeline>
<codeline lineno="981"><highlight class="normal" /></codeline>
<codeline lineno="996"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_disconnect_req(<ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr,</highlight></codeline>
<codeline lineno="997"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />wiced_bt_avdt_ctrl_cback_t<sp />*p_cback);</highlight></codeline>
<codeline lineno="998"><highlight class="normal" /></codeline>
<codeline lineno="1006"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_get_l2cap_channel(uint8_t<sp />handle);</highlight></codeline>
<codeline lineno="1007"><highlight class="normal" /></codeline>
<codeline lineno="1018"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_get_signal_channel(uint8_t<sp />handle,<sp /><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr);</highlight></codeline>
<codeline lineno="1019"><highlight class="normal" /></codeline>
<codeline lineno="1040"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_set_media_buf(uint8_t<sp />handle,<sp />uint8_t<sp />*p_buf,<sp />uint32_t<sp />buf_len);</highlight></codeline>
<codeline lineno="1041"><highlight class="normal" /></codeline>
<codeline lineno="1052"><highlight class="normal">uint16_t<sp />wiced_bt_avdt_send_report(uint8_t<sp />handle,<sp />AVDT_REPORT_TYPE<sp />type,</highlight></codeline>
<codeline lineno="1053"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />wiced_bt_avdt_report_data_t<sp />*p_data);</highlight></codeline>
<codeline lineno="1054"><highlight class="normal" /></codeline>
<codeline lineno="1055"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="1056"><highlight class="normal">}</highlight></codeline>
<codeline lineno="1057"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="1058"><highlight class="normal" /></codeline>
<codeline lineno="1062"><highlight class="normal"><sp /></highlight><highlight class="comment">/*<sp />@endcond*/</highlight></codeline>
    </programlisting>
    <location file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" />
  </compounddef>
</doxygen>